## haskell-hsql 1.4

=== Makefile ===
include config.mk

COMPILERS =
ifneq "$(GHC)" ""
COMPILERS += ghc
endif
ifneq "$(HUGS)" ""
COMPILERS += hugs
endif

#--------------------------------------------------------------------------
# DIRECTORIES
#--------------------------------------------------------------------------

# library and doc output
BUILDDIR  = build
DOCDIR	  = doc

HOUTDIR = $(BUILDDIR)/Database

HSQLLib = $(BUILDDIR)/libHSsql.a

# source dirs
VPATH = src

#--------------------------------------------------------------------------
# SOURCES
#--------------------------------------------------------------------------

HSC_SRC += HSQL.hsc

ifeq "$(WithODBC)" "YES"
HSC_SRC += HSQL/ODBC.hsc
endif

ifeq "$(WithPostgreSQL)" "YES"
HSC_SRC += HSQL/PostgreSQL.hsc
endif

ifeq "$(WithMySQL)" "YES"
HSC_SRC += HSQL/MySQL.hsc
endif

ifeq "$(WithSQLite)" "YES"
HSC_SRC += HSQL/SQLite.hsc
endif

SO_SRC  = $(patsubst %.hsc,$(HOUTDIR)/%.$(SO_EXT),$(HSC_SRC))
HS_SRC  = $(HOUTDIR)/HSQL/Types.hs $(patsubst %.hsc,$(HOUTDIR)/%.hs,$(HSC_SRC))
HI_SRC  = $(patsubst %.hs,%.hi,$(HS_SRC))
OBJS    = $(patsubst %.hs,%.o, $(HS_SRC))
HS_DEPS = $(patsubst %.hs,%.d, $(HS_SRC))

ifeq "$(WithODBC)" "YES"
ifeq "$(WIN32)" "YES"
HsODBC_o = $(HOUTDIR)/HSQL/HsODBC.o
endif
endif

#--------------------------------------------------------------------------
# FLAGS
#--------------------------------------------------------------------------

FFIHUGS_FLAGS = $(patsubst %, +L"%", $(CPPFLAGS)) 
ifeq "$(WIN32)" "YES"
ODBC_FFIHUGS_FLAGS = +L"$(HsODBC_o)"
FFIHUGS_FLAGS += $(patsubst %, +L"%", $(patsubst -l%, %.lib, $(LDFLAGS)))
else
FFIHUGS_FLAGS += $(patsubst %, +L"%", $(LDFLAGS))
endif

ifeq "$(HADDOCK)" ""
HADDOCK = echo
else
HS_PPS = $(addsuffix .raw-hs, $(basename $(HS_SRC)))
endif

#--------------------------------------------------------------------------
# RULES
#--------------------------------------------------------------------------

.SUFFIXES: .hs .hi .o .c

# should be:
#
#     $(HSC2HS) $< -o $@ $(CPPFLAGS)
#
# but there is a bug in hsc2hs from GHC 6.2 for Windows
$(HOUTDIR)/%.hs: %.hsc
	$(HSC2HS) $< $(CPPFLAGS)
	mv $(patsubst %.hsc, %.hs, $<) $@
%.o : %.hs
	mkdir -p $(basename $<)_split
	rm -f $(basename $<)_split/*
	$(GHC) $< -O -c -i$(BUILDDIR) -fglasgow-exts -split-objs $(CPPFLAGS) -package-name hsql
	$(LD) -r -o $@ $(basename $<)_split/*.o
	@# create dependency file
	@$(GHC) $< -M -i$(BUILDDIR) -optdep-f -optdep$(*F).d $(CPPFLAGS)
	@sed -e 's|$(subst .hs,,$<)\.o|$*\.o|' $(*F).d > $*.d
	@rm $(*F).d
.o.hi:
	@:
%.$(SO_EXT): %.hs
	$(FFIHUGS) -98 +G -P$(BUILDDIR): $(FFIHUGS_FLAGS) $($(*F)_FFIHUGS_FLAGS) $<
%.raw-hs : %.hs
	$(GHC) -Iincludes $(CPPFLAGS) -D__HADDOCK__ -E -cpp $< -o $<.tmp && sed -e 's/^#.*//' <$<.tmp >$@


all: $(patsubst %, all-%, $(COMPILERS))
all-ghc: $(HSQLLib)
all-hugs: $(SO_SRC)


$(HSQLLib): $(OBJS) $(HsODBC_o)
	rm -f $(HSQLLib)
	for i in $(patsubst %.o,%_split, $(OBJS)); do \
	   $(AR) -q $(HSQLLib) $$i/*.o; \
	done
	$(AR) -q $(HSQLLib) $(HsODBC_o)
	
genclean: distclean
	rm -rf configure autom4te.cache

distclean: clean
	rm -f $(HSQLLib)
	rm -f config.status config.log config.mk hsql.pkg

clean:
	rm -f $(OBJS)
	rm -f $(HI_SRC)
	rm -f $(SO_SRC)
	rm -f $(HS_SRC)
	rm -f $(patsubst %.hs,%.c,$(HS_SRC))
	rm -f $(HS_PPS)
	rm -f $(HS_DEPS)
	rm -rf $(patsubst %.o,%_split, $(OBJS))
	rm -f $(HSQLLib)


docs : $(HS_PPS)
	mkdir -p $(DOCDIR)
	$(HADDOCK) -h -o $(DOCDIR) $(HS_PPS)


install: $(patsubst %, install-%, $(COMPILERS))

install-ghc: $(HSQLLib) $(HI_SRC) docs
	$(INSTALL) -d $(GHC_DIR)
	$(INSTALL) $(HSQLLib) $(GHC_DIR)/libHSsql.a
	for i in $(patsubst $(BUILDDIR)/%,%,$(HI_SRC)); do \
	   $(INSTALL) -d $(GHC_DIR)/imports/`dirname $$i`; \
	   $(INSTALL) -c $(BUILDDIR)/$$i $(GHC_DIR)/imports/`dirname $$i`; \
	done
	rm -f $(GHC_DIR)/HSsql.o
	$(GHC_PKG) -u -g -i hsql.pkg
	if test -f $(DOCDIR)/index.html; then  \
	   $(INSTALL) -d $(DOC_DIR); \
	   $(INSTALL) -c $(DOCDIR)/* $(DOC_DIR); \
	fi

install-hugs: $(HS_SRC) $(SO_SRC)
	$(INSTALL) -d $(HUGS_DIR)/libraries/Database
	for i in $(patsubst $(BUILDDIR)/%,%,$(HS_SRC) $(SO_SRC)); do \
	   $(INSTALL) -d $(HUGS_DIR)/libraries/`dirname $$i`; \
	   $(INSTALL) -c $(BUILDDIR)/$$i $(HUGS_DIR)/libraries/`dirname $$i`; \
	done

-include $(HS_DEPS)

$(HOUTDIR)/HSQL/ODBC.hs : HSQL/HsODBC.h

$(HOUTDIR)/HSQL/Types.hs : HSQL/Types.hs
	cp $< $@

$(HOUTDIR)/HSQL/HsODBC.o : HSQL/HsODBC.c HSQL/HsODBC.h
	$(CC) $< -o $@ -O -c $(CPPFLAGS)

## haskell-hsql 1.6

=== mingw32lib/Makefile ===
all: liblibmysql.a liblibpq.a libsqlite.a libmsi.a

liblibmysql.a: libmysql.def
	dlltool --input-def libmysql.def --dllname libmysql.dll --output-lib liblibmysql.a -k
	
liblibpq.a: libpqdll.def
	dlltool --input-def libpqdll.def --dllname libpq.dll --output-lib liblibpq.a -k

libsqlite.a: sqlite.def
	dlltool --input-def sqlite.def --dllname sqlite.dll --output-lib libsqlite.a -k

libmsi.a: msi.def
	dlltool --input-def msi.def --dllname msi.dll --output-lib libmsi.a -k

## haskell-hsql 1.7.1

=== debian/changelog ===
haskell-hsql (1.7.1-4) unstable; urgency=low

  * Fix "Updating the haskell-hsql Uploaders list" changing Uploader
    (Closes: #576182)
  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 18:01:46 -0300

haskell-hsql (1.7.1-3) unstable; urgency=low

  * debian/source/format: Use 3.0 (quilt).
  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:59:45 -0300

haskell-hsql (1.7.1-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Homepage: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Use comma in the beginning of the line.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Use more sintetic link in Homepage:.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 19:38:20 +0100

haskell-hsql (1.7.1-1) unstable; urgency=low

  [ Arjan Oosting ]
  * New upstream release (Closes: #526438, 520322)
  * debian/patches/01_update-cabal-file.dpatch: Updated. Adjust the
    hsql.cabal for the Cabal version which Debian ships.
  * debian/control:
    - Change download location.
    - Update Standards-Version.
  * Added debian/README.source to describe patch system.
  * debian/changelog:
    - Fix a spelling error.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use Debian Haskell Group as Maintainer.

  [ Joachim Breitner ]
  * Bump standards version, move to section Haskell
  * Remove the patch again, included upstream
  * Use standard haskell-devscripts packaging

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Jul 2009 00:24:45 +0200

haskell-hsql (1.7-2) unstable; urgency=low

  * debian/control:
    - Add a libghc6-hsql-prof binary package containing the profiling
      library of hsql for use with GHC 6.
    - Add Vcs-* fields.
  
 -- Arjan Oosting <arjan@debian.org>  Sun, 03 Feb 2008 19:59:51 +0100

haskell-hsql (1.7-1) unstable; urgency=medium

  * Set urgency to medium as this upload fixes an RC bug.
  * Hijack this package as the current maintainer does not seem to be
    working on it anymore. Moved Víctor Pérez Pereira to the Uploaders
    and set myself as maintainer.
  * New upstream release. The source tarball has been split up and every
    Haskell library has its own source source tarball now.
    - debian/control:
      + Remove the binary stanzas for libghc6-hsql-sqlite3-dev,
        libghc6-hsql-sqlite-dev, libghc6-hsql-odbc-dev,
        libghc6-hsql-mysql-dev and libghc6-hsql-postgresql-dev which all
        will get their own source package.
      + Update Build-Depends on haskell-devscripts to 0.6.0 needed to
        build the package.
      + Add dpatch and ghc6-prof to the build dependencies.
    - debian/rules:
      + Replaced with a much simpler version as we only need to build one
        Haskell library. This version works with (and needs)
        haskell-devscripts >= 0.6.0. (Closes: #458615) 
  * debian/watch:
    - Use hackage.haskell.org as location for new upstream releases.
  * Update for GHC 6.8.2:
    - debian/control: 
      + Bump build dependency on GHC to 6.8.2 as we need the new Cabal
        version.
    - debian/patches/01_update-cabal-file:
      + Add old-time to the build-depends in hsql.cabal
      + Add TypeOperators, ScopedTypeVariables, RankNTypes and
        DeriveDataTypeable to the list of needed extensions in hsql.cabal.
  * Fix small spelling error in debian/control.
  * Convert debian/copyright file to UTF-8 to fix lintian warning 
    debian-copyright-file-uses-obsolete-national-encoding
  * debian/control:
    - Change section of libghc6-hsql-dev and libghc6-hsql-prof to libdevel
      to fix lintian warning dev-package-should-be-section-libdevel
    - Bump Standards-Version 3.7.3. No furthur changes needed.

 -- Arjan Oosting <arjan@debian.org>  Sun, 03 Feb 2008 19:29:40 +0100

haskell-hsql (1.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: call ghc-pkg with --force to ignore missing
    directories. (Closes: 393635)

 -- Arjan Oosting <arjan@debian.org>  Tue, 24 Oct 2006 23:39:37 +0200

haskell-hsql (1.6-8.1) unstable; urgency=low

  * Non-maintainer upload, to fix Failure To Build From Source, applying patch
    by Arjan Oosting.
  * Fixes FTBFS: needs to update for new ghc6 (Closes: #379264)
    - update MySQL/Setup.lhs, PostgresSQL/Setup.lhs, SQLite/Setup.lhs and
      SQLite3/Setup.lhs for the new Cabal version shipped with ghc 6.4.2.
    - debian/control: Build-Depends on the ghc6 (>= 6.4.2) which ships the
      new Cabal version. Drop the build dependency on ghc6 (6.4.1-999) to
      make (binary) non-maintainer uploads easier.
    - debian/ghc-pkg: replace the call to /usr/lib/ghc-6.4.1/bin/ghc-pkg
      with a call to /usr/bin/ghc-pkg6 to make independant of the ghc6
      version.

 -- Margarita Manterola <marga@debian.org>  Thu, 10 Aug 2006 15:27:19 -0300

haskell-hsql (1.6-8) unstable; urgency=medium

  * New maintainer (closes: #358873)
  * Update of Debian Policy.

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Sun, 14 May 2006 19:16:00 -0400

haskell-hsql (1.6-7) unstable; urgency=medium

  * QA upload.
  * PostgreSQL/Setup.lhs: Since we use only client-side headers, remove


=== debian/control ===
Source: haskell-hsql
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: cdbs
 , debhelper (>= 7)
 , haskell-devscripts (>= 0.7)
 , cpphs
 , ghc6 
 , ghc6-prof
 , ghc6-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/hsql
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hsql/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hsql

Package: libghc6-hsql-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}, libghc6-hsql-sqlite3-dev, libghc6-hsql-sqlite-dev, libghc6-hsql-odbc-dev, libghc6-hsql-mysql-dev, libghc6-hsql-postgresql-dev, haskell-hsql-doc
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Multi-Database Interface System library for GHC6
 HSQL provides interfaces for Haskell programmers to the PostgreSQL,
 MySQL, SQLite, and UnixODBC database systems.  There is a generic
 abstract interface so that code can be used interchangeably with these
 database systems.  In this sense, it is similar to Java's JDBC,
 Python's DB-API, or Perl's DBI.

Package: libghc6-hsql-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Multi-Database Interface System profiling library for GHC6
 HSQL provides interfaces for Haskell programmers to the PostgreSQL,
 MySQL, SQLite, and UnixODBC database systems.  There is a generic
 abstract interface so that code can be used interchangeably with these
 database systems.  In this sense, it is similar to Java's JDBC,
 Python's DB-API, or Perl's DBI.

Package: libghc6-hsql-doc
Replaces: haskell-hsql-doc (<< 1.7.1-3)
Conflicts: haskell-hsql-doc (<< 1.7.1-3)
Provides: haskell-hsql-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: API documentation of the HSQL library for Haskell
 HSQL provides interfaces for Haskell programmers to the PostgreSQL,
 MySQL, SQLite, and UnixODBC database systems.  There is a generic
 abstract interface so that code can be used interchangeably with these
 database systems.  In this sense, it is similar to Java's JDBC,
 Python's DB-API, or Perl's DBI.
 .
 This package provides documentation for HSQL.

## haskell-hsql 1.8.1

=== debian/changelog ===
haskell-hsql (1.8.1-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Nov 2011 14:09:16 -0400

haskell-hsql (1.8.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:33:35 +0100

haskell-hsql (1.8.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * New upstream release
  * Standards-Version bump to 3.9.2, no changes required

 -- Iain Lane <laney@ubuntu.com>  Thu, 19 May 2011 09:51:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  , debhelper (>= 7)
  , haskell-devscripts (>= 0.7)
  , cpphs
- , ghc6 
- , ghc6-prof
- , ghc6-doc
-Standards-Version: 3.8.4
+ , ghc 
+ , ghc-prof
+ , ghc-doc
+Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/hsql
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hsql/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hsql
 
-Package: libghc6-hsql-dev
+Package: libghc-hsql-dev
 Architecture: any
 Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: ${haskell:Suggests}, libghc6-hsql-sqlite3-dev, libghc6-hsql-sqlite-dev, libghc6-hsql-odbc-dev, libghc6-hsql-mysql-dev, libghc6-hsql-postgresql-dev, haskell-hsql-doc
+Suggests: ${haskell:Suggests}, libghc-hsql-sqlite3-dev, libghc-hsql-sqlite-dev, libghc-hsql-odbc-dev, libghc-hsql-mysql-dev, libghc-hsql-postgresql-dev, haskell-hsql-doc
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
 Description: Multi-Database Interface System library for GHC6
@@ -28,7 +28,7 @@
  database systems.  In this sense, it is similar to Java's JDBC,
  Python's DB-API, or Perl's DBI.
 
-Package: libghc6-hsql-prof
+Package: libghc-hsql-prof
 Architecture: any
 Depends: ${haskell:Depends}
   , ${shlibs:Depends}
@@ -43,7 +43,7 @@
  database systems.  In this sense, it is similar to Java's JDBC,
  Python's DB-API, or Perl's DBI.
 
-Package: libghc6-hsql-doc
+Package: libghc-hsql-doc
 Replaces: haskell-hsql-doc (<< 1.7.1-3)
 Conflicts: haskell-hsql-doc (<< 1.7.1-3)
 Provides: haskell-hsql-doc

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch
DEB_HADDOCK_HTML_DIR = /usr/share/doc/haskell-$(CABAL_PACKAGE)-doc/html/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
# See uscan(1) for format

version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hsql-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hsql \
    ([\d\.]*\d)/

## haskell-hsql 1.8.2

=== debian/changelog ===
haskell-hsql (1.8.2-4build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 09:33:35 +0100

haskell-hsql (1.8.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:40 +0200

haskell-hsql (1.8.2-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:57 +0100

haskell-hsql (1.8.2-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:00 +0200

haskell-hsql (1.8.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Oct 2012 18:05:12 +0200

haskell-hsql (1.8.1-5) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:10 +0200

haskell-hsql (1.8.1-4) unstable; urgency=low

  [ Clint Adams ]
  * Fix -doc package dependency.

  [ Joachim Breitner ]
  * Use standard docs directory, avoids upgrade problems.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:45:47 +0200

haskell-hsql (1.8.1-3) unstable; urgency=low

  * Fixes for changed behaviour in GHC 7.4
    + Use mkTyCon3 instead of deprecated mkTyCon in DB/HSQL/Error.hs. Takes 3
      Strings: (Package Name, Module Name, Constructor)
    + Also import constructors of CType in DB/HSQL/Type/Time.hsc. GHC 7.6 will
      make using abstract newtypes in FFI declarations an error (for now it is
      just a warning).
    + Use FlexibleInstances extension in DB/HSQL/Type/Diverse.hs in order to
      allow SqlBind instance to be defined for String ([Char]). * 

 -- Iain Lane <laney@debian.org>  Thu, 01 Mar 2012 21:37:31 +0000

haskell-hsql (1.8.1-2) unstable; urgency=low

  * Add Replaces/Conflicts on libghc6-*-doc package (Closes: #656428)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 21 Jan 2012 16:56:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: cdbs
- , debhelper (>= 7)
- , haskell-devscripts (>= 0.7)
+ , debhelper (>= 9)
+ , haskell-devscripts (>= 0.9)
  , cpphs
  , ghc 
  , ghc-prof
- , ghc-doc
-Standards-Version: 3.9.2
+Build-Depends-Indep: ghc-doc
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/hsql
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hsql/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hsql
@@ -21,7 +21,7 @@
 Suggests: ${haskell:Suggests}, libghc-hsql-sqlite3-dev, libghc-hsql-sqlite-dev, libghc-hsql-odbc-dev, libghc-hsql-mysql-dev, libghc-hsql-postgresql-dev, haskell-hsql-doc
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: Multi-Database Interface System library for GHC6
+Description: Multi-Database Interface System library for GHC
  HSQL provides interfaces for Haskell programmers to the PostgreSQL,
  MySQL, SQLite, and UnixODBC database systems.  There is a generic
  abstract interface so that code can be used interchangeably with these
@@ -36,7 +36,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Multi-Database Interface System profiling library for GHC6
+Description: Multi-Database Interface System profiling library for GHC
  HSQL provides interfaces for Haskell programmers to the PostgreSQL,
  MySQL, SQLite, and UnixODBC database systems.  There is a generic
  abstract interface so that code can be used interchangeably with these
@@ -44,12 +44,12 @@
  Python's DB-API, or Perl's DBI.
 
 Package: libghc-hsql-doc
-Replaces: haskell-hsql-doc (<< 1.7.1-3)
-Conflicts: haskell-hsql-doc (<< 1.7.1-3)
+Replaces: haskell-hsql-doc (<< 1.7.1-3), libghc6-hsql-doc (<< 1:1)
+Conflicts: haskell-hsql-doc (<< 1.7.1-3), libghc6-hsql-doc (<< 1:1)
 Provides: haskell-hsql-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Description: API documentation of the HSQL library for Haskell

=== debian/watch ===
version=3
http://hackage.haskell.org/package/hsql/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
